Subject: Bug#178583: wwwconfig-common: No documentation available

From: Ola Lundqvist <[email-masked]>
Date: Wed, 29 Jan 2003 08:45:45 +0100

Hi

On Wed, Jan 29, 2003 at 08:04:34AM +0100, Andreas Tille wrote:
> On Tue, 28 Jan 2003, Ola Lundqvist wrote:
> 
> > Yes I'd love some documentation.
> >
> > The script contain most you will need though.
> I've seen the documentation inside the scripts.  It helps a little but
> what I'm missing is a document providing a general overview when and
> how to use these scripts.
> 
> > you set a bunch of variables (documented in the scripts)
> Sorry for my ignorance.  I observed that the scripts need several
> variables but I'm missing some guideline for reasonable values - at
> least in those scripts I looked into.

Ohh sorry. Well reasonable values... Hmm ... yes that might not always
be easy to tell.

> > and then you source the script.
> >
> > . /usr/.../wwwconfig-common/foobar.foo
> >
> > It then performes some things and maybe changes some
> > variables. Also documented.
> >
> > I would like to extend this to configure other things than
> > just www apps and in the same time make better documentation.
> May be we could cope the idea from the posting
> 
>   http://lists.debian.org/debian-devel/2003/debian-devel-200301/msg01164.html

Actually I had read that, but not the follow-ups. :)

> After I detected wwwconfig-common I felt that some parts of this posting
> are realized in scripts - but than I had to file this bug report to
> accomplish the main part of the posting. ;-)

Hehe. Yes such a bug is reasonable. I think lot of the documentation
you are requesting should be placed in DDP, as Joey says. But wwwconfig-common
should really be better documented.

> > Patches, suggestions (etc) is very welcome. And of course
> > documentation. :)
> I'll try to do my part once I managed to use some stuff from the package
> successfully.

That would be great.

Sometime when I get some more time I'll finish the dconfigure package
(or with an other name).

An idea that just popped up in my head is some new debhelper
scripts that creates debconf questions and do things in postinst.
Maybe something to work for. But not today.

Regards,

// Ola

> Kind regards
>         Andreas.

-- 
 --------------------- Ola Lundqvist ---------------------------
/  [email-masked]                     Annebergsslingan 37      \
|  [email-masked]                 654 65 KARLSTAD          |
|  +46 (0)54-10 14 30                  +46 (0)70-332 1551       |
|  http://www.opal.dhs.org             UIN/icq: 4912500         |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------